Betrachte 6 Beiträge - 1 bis 6 (von insgesamt 6)
  • Autor
    Beiträge
  • #35411

    Baer
    Teilnehmer

    Hallo Tobias – seit Jahren nutze ich zwar sporadisch, aber immer gerne – und mit sehr hilfreichem Ergebnis – das Programm, + völlig problemlose updates …..
    Die aktuellen Themes aber haben mir alle storniert :
    Android 4.4.2 / HTC One Mini 2
    Locus 3.37.2
    (Interner Speicher) /storage/emulated/0/Locus/mapItems
    Elevate 4.4.0 v. 15.04.2020
    Nun existiert nur noch Kartenthema : – Interne Themen, „Allgemein“ – ich habe sowohl ( wie immer ) den direkten als auch ( nun ) den manuellen download ausgeführt, aber kein Kartenthema ist mehr auszuwählen.
    Danke für den entscheidenden Tipp !!
    Achten Sie gut auf Ihre Gesundheit !
    Freundliche Grüße

    #35419
    ChristianK
    ChristianK
    Verwalter

    Hallo Baer,

    Das Grundproblem ist das die aktuelle Version von Locus (3.45) auf Deinem Handy nicht mehr unterstützt wird.
    Ich hatte das gleiche Problem und deswegen (seufzend) auf ein Sony X2 Compact umgestellt – und es nicht bereut.
    Die neuen Multilingualen Karten laufen erst ab 3.38.3 sauber und dafür ist auch die neueste Version der Elevate gebaut.

    Allgenmein:
    Die Themes gehören in /Locus/mapsVector/_themes/
    Unbedingt das Hauptverzeichnis auf Locus-Standard in den Einstellungen lassen.
    Bitte lade die alte Theme hier herunter:
    https://www.openandromaps.org/wp-content/users/tobias/legacy/ElevateLE.zip
    Wahrscheinlich ist die ohnehin noch auf Deinem Handy installiert und wird einfach nicht angezeigt da Du nun V4 Karten installiert hast.

    Lade Dir die alten V3 Karten herunter und installiere diese wieder.
    = Auf das „+“ Symbol links neben dem Kartennamen klicken und ganz unten hast Du den Button für die V3 Karten. Updates für diese Karten gibt es aber keine mehr.

    Ich kann Dir das Sony X2C wirklich empfehlen ;-)

    LG, Christian

    #35421

    Baer
    Teilnehmer

    Hallo Christian,

    super, die Sonntags-Arbeit-Antwort :-)) !
    Ganz „im Hinterkopf“ habe ich mit solch oder ähnlicher AW mit auch gerechnet – das hat man davon, wenn man seine „Werkzeuge“ hegt + pflegt ….
    – das Verzeichnis habe ich ( manuell ) nicht geändert = also wie Vorgabe
    – aber >KARTEN< habe ich keine neuen heruntergeladen ?!
    – – dann lade ich zuerst mal die alte Elevate von Deinem Link und sehe, was passiert
    – derzeit habe ich nur noch 1 Karte ( BaWü ) on board, ich sehe folgende Details : 06.09.2019 – Mercator- mapsforge-map-writer-master-SNAPSOT, sicher von openandro…. heruntergeladen ( /storage/emulated/0/Locus/mapsVector ….. )
    Ich berichte auf jeden Fall noch mal – bis nach Kaffé + Kuchen ?? ;-)
    Baer

    #35426
    Tobias
    Tobias
    Moderator

    Das Problem ist, dass Locus im Hintergrund zwei verschiedene Mapsforge-Engines (die aktuelle Standard und die Locus-eigene) für die Kartendarstellung verwendet, und da ein paar (künstliche) Filter gesetzt hat. Ich habe irgendwie in Erinnerung, dass Locus zunächst nur Themes mit version=“4″ für die aktuelle Standard-Engine zugelassen hat, auch wenn es schon längst V5-Themes gab, und die Engine damit umgehen kann. Das wurde erst später behoben (kann mich aber auch täuschen und es ging nur um die Kartenversion). Seit der Version 3.38 sind die größten Probleme mit solchen Dingen behoben, die erste, die für dich leider nicht mehr geht.

    Elevate ist seit 4.4.0 ein V5-Theme, die 2016 eingeführt wurden, daher sollte eigentlich eine breite Unterstützung da sein. Wenn wie ich oben gemutmasst habe, alle V5-Themes aufgrund des Filters nicht angezeigt werden, probiere mal folgendes: nimm die Datei im Anhang und speichere sie in dein Theme-Verzeichnis über die andere Datei, ich habe einfach nur die Versions-Nummer von 5 auf 4 geändert. Damit könnte der Filter umgangen werden, und der Kartenstil wieder zur Auswahl stehen.

    Developer of Elevate mapstyle

    #35451

    Baer
    Teilnehmer

    Hallo Tobias – auch Dir vielen Dank für die kurzfristige Reaktion ! Als Dein Beitrag kam, war mein „Locus-Fenster“ schon zu…. – eine Datei konnte ich in Deinem Beitrag allerdings nicht finden ?!
    Aber ich bin auch so mit der Anleitung / Anregungen von Christian zum Ergebnis gekommen – mit den Einschränkungen, die ihr mir mitgeteilt habt / Karten update ( alle Aktionen via Notebook, USB ):
    – Karte gelöscht; von hier neu geladen, entziptt und auf Smartphone kopiert;
    – Elevate umbenannt, frischer download, entzippt, kopiert
    – Locus auf Werkseinstellung zurückgesetzt => Themes sind auswählbar, Karte ohne „Defekte“, alte Elevate gelöscht. Nett die Einstellungen wieder vorzunehmen …. aber auch da habe ich alles wohl wieder gefunden !
    Herzlichen Dank und für uns alle Gesundheit + meet nature, grenzenlos ;-)
    Baer

    #35454
    Tobias
    Tobias
    Moderator

    eine Datei konnte ich in Deinem Beitrag allerdings nicht finden ?!

    Vermutlich wurde die xml-Datei vom Forum gefiltert. Aber auch gut, wenn dir V3-Karten reichen. Die Unterstützung von V4-Karten ist eh erst ab Locus 3.38 brauchbar.

    Developer of Elevate mapstyle

Betrachte 6 Beiträge - 1 bis 6 (von insgesamt 6)

Sie müssen angemeldet sein, um zu diesem Thema eine Antwort verfassen zu können.